Patient Summary Retrieval
Get Patient Summary Using Patient Summary ID
Retrieve full details of a previously generated Patient Summary using its unique Patient Summary ID
Listen to this pageabout 1 min
GET
/
api
/
v1
/
patient-summary
/
{patient_summary_id}
cURL
curl --request GET \
--url https://sdp.suki.ai/api/v1/patient-summary/<patient_summary_id> \
--header 'sdp_suki_token: <sdp_suki_token>' \
--header 'sdp_provider_id: <sdp_provider_id>'import requests
url = "https://sdp.suki.ai/api/v1/patient-summary/{patient_summary_id}"
headers = {"sdp_suki_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {sdp_suki_token: '<api-key>'}};
fetch('https://sdp.suki.ai/api/v1/patient-summary/{patient_summary_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sdp.suki.ai/api/v1/patient-summary/{patient_summary_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"sdp_suki_token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sdp.suki.ai/api/v1/patient-summary/{patient_summary_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("sdp_suki_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sdp.suki.ai/api/v1/patient-summary/{patient_summary_id}")
.header("sdp_suki_token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sdp.suki.ai/api/v1/patient-summary/{patient_summary_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["sdp_suki_token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"patient_summary": {
"sections": [
{
"contents": [
{
"problem": {
"description": "Asthma"
},
"text": "Patient presents with shortness of breath.",
"visit": {
"date": "2026-05-22T10:00:00Z",
"description": "Follow-up for asthma"
}
}
],
"section_type": "ABOUT_VISIT",
"snippet_index": 0,
"title": "About Visit"
}
],
"updated_at": "2026-05-22T10:00:00Z"
}
}{
"code": 400,
"message": "invalid request"
}{
"code": 401,
"message": "invalid token"
}{
"code": 404,
"message": "not found"
}{
"code": 500,
"message": "internal server error"
}Use this endpoint to retrieve full details of Patient Summary using its Patient Summary ID. Use the
The response object includes the following sections:
patient_summary_id returned by the Generate Patient Summary for an Encounter endpoint to retrieve the summary and display it to providers.
Important:
- Generate the Patient Summary using the Generate Patient Summary for an Encounter endpoint.
- Wait until the generation status is
COMPLETEDbefore retrieving the summary.
- About Visit - Information about the visit, including the date, reason for visit, and provider information.
- Patient Summary - A summary of the patient’s medical history, including their medications, allergies, and chronic conditions.
- Previous Visit - A summary of the patient’s previous visit, including the date, reason for visit, and provider information.
- Problems - A list of the patient’s problems, including their medications, allergies, and chronic conditions.
Each section above includes a list of snippets that provide detailed clinical information about the patient.
Authorizations
Suki access token (suki_token) from Login or Register. Expires after one hour.
Headers
Optional for standard partners.
Required for:
- Bearer authentication. Use the same
provider_idreturned by the Login or Register API. - Single Auth Token authentication. Include the same
provider_idon every request assdp_provider_id.
Example:
"provider-123"
Path Parameters
Patient summary identifier.
Response
Success Response
Success Response
Comprehensive patient summary document with all relevant clinical information organized into sections.
Show child attributes
Show child attributes
Last modified on August 7, 2026
Was this page helpful?
cURL
curl --request GET \
--url https://sdp.suki.ai/api/v1/patient-summary/<patient_summary_id> \
--header 'sdp_suki_token: <sdp_suki_token>' \
--header 'sdp_provider_id: <sdp_provider_id>'import requests
url = "https://sdp.suki.ai/api/v1/patient-summary/{patient_summary_id}"
headers = {"sdp_suki_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {sdp_suki_token: '<api-key>'}};
fetch('https://sdp.suki.ai/api/v1/patient-summary/{patient_summary_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sdp.suki.ai/api/v1/patient-summary/{patient_summary_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"sdp_suki_token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sdp.suki.ai/api/v1/patient-summary/{patient_summary_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("sdp_suki_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sdp.suki.ai/api/v1/patient-summary/{patient_summary_id}")
.header("sdp_suki_token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sdp.suki.ai/api/v1/patient-summary/{patient_summary_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["sdp_suki_token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"patient_summary": {
"sections": [
{
"contents": [
{
"problem": {
"description": "Asthma"
},
"text": "Patient presents with shortness of breath.",
"visit": {
"date": "2026-05-22T10:00:00Z",
"description": "Follow-up for asthma"
}
}
],
"section_type": "ABOUT_VISIT",
"snippet_index": 0,
"title": "About Visit"
}
],
"updated_at": "2026-05-22T10:00:00Z"
}
}{
"code": 400,
"message": "invalid request"
}{
"code": 401,
"message": "invalid token"
}{
"code": 404,
"message": "not found"
}{
"code": 500,
"message": "internal server error"
}